cURL
curl --request PUT \
--url https://api.mudstack.com/workspaces/libraries/{library_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--header 'x-account-id: <x-account-id>' \
--header 'x-workspace-id: <x-workspace-id>' \
--form 'name=<string>' \
--form 'description=<string>' \
--form file='@example-file'import requests
url = "https://api.mudstack.com/workspaces/libraries/{library_id}"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = {
"name": "<string>",
"description": "<string>"
}
headers = {
"x-account-id": "<x-account-id>",
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>"
}
response = requests.put(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('name', '<string>');
form.append('description', '<string>');
form.append('file', '<string>');
const options = {
method: 'PUT',
headers: {
'x-account-id': '<x-account-id>',
'x-workspace-id': '<x-workspace-id>',
Authorization: 'Bearer <token>'
}
};
options.body = form;
fetch('https://api.mudstack.com/workspaces/libraries/{library_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"workspace_id": "<string>",
"name": "<string>",
"description": "<string>",
"thumbnail_file_id": "<string>",
"defaultAvatar": 123,
"created_by_user_id": "<string>",
"sequence": 123
}Libraries
Update library
Update a library by its ID.
PUT
/
workspaces
/
libraries
/
{library_id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
The updated library
Unique identifier for the library.
Identifier for the workspace to which the library belongs.
Name of the library.
Description of the library.
Identifier for the thumbnail file associated with the library.
Default avatar for the library.
Identifier for the user who created the library.
Sequence number for ordering libraries.
Was this page helpful?
⌘I